package com.mdd.admin.validate.marketing;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import javax.validation.constraints.NotNull;

@ApiModel("订单搜索参数")
public class MarketingRechargeValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("是否开启充值: 0=否,1=是")
   private @NotNull(
   message = "openRecharge参数缺失"
) Integer openRecharge;
   @ApiModelProperty("最低充值金额")
   private @NotNull(
   message = "minRechargeMoney参数缺失"
) BigDecimal minRechargeMoney;

   public @NotNull(
   message = "openRecharge参数缺失"
) Integer getOpenRecharge() {
      return this.openRecharge;
   }

   public @NotNull(
   message = "minRechargeMoney参数缺失"
) BigDecimal getMinRechargeMoney() {
      return this.minRechargeMoney;
   }

   public void setOpenRecharge(@NotNull(
   message = "openRecharge参数缺失"
) Integer openRecharge) {
      this.openRecharge = openRecharge;
   }

   public void setMinRechargeMoney(@NotNull(
   message = "minRechargeMoney参数缺失"
) BigDecimal minRechargeMoney) {
      this.minRechargeMoney = minRechargeMoney;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof MarketingRechargeValidate)) {
         return false;
      } else {
         MarketingRechargeValidate other = (MarketingRechargeValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$openRecharge = this.getOpenRecharge();
            Object other$openRecharge = other.getOpenRecharge();
            if (this$openRecharge == null) {
               if (other$openRecharge != null) {
                  return false;
               }
            } else if (!this$openRecharge.equals(other$openRecharge)) {
               return false;
            }

            Object this$minRechargeMoney = this.getMinRechargeMoney();
            Object other$minRechargeMoney = other.getMinRechargeMoney();
            if (this$minRechargeMoney == null) {
               if (other$minRechargeMoney != null) {
                  return false;
               }
            } else if (!this$minRechargeMoney.equals(other$minRechargeMoney)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof MarketingRechargeValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $openRecharge = this.getOpenRecharge();
      result = result * 59 + ($openRecharge == null ? 43 : $openRecharge.hashCode());
      Object $minRechargeMoney = this.getMinRechargeMoney();
      result = result * 59 + ($minRechargeMoney == null ? 43 : $minRechargeMoney.hashCode());
      return result;
   }

   public String toString() {
      return "MarketingRechargeValidate(openRecharge=" + this.getOpenRecharge() + ", minRechargeMoney=" + this.getMinRechargeMoney() + ")";
   }
}
